# HubSpot

To export Market Map data to HubSpot, you will first need to create custom properties on your Company object to populate with Market Map data. Once that's complete, you can use standard HubSpot importing functionality to load the data.

### Configure company properties

Add the following custom properties to your company object:

| Label                 | Internal Name            | Type   |
| --------------------- | ------------------------ | ------ |
| Market Map Score      | market\_map\_score       | Number |
| Market Map Tier       | market\_map\_tier        | Number |
| Market Map Cluster Id | market\_map\_cluster\_id | Text   |
| Market Map Cluster    | market\_map\_cluster     | Text   |

### Export data

{% hint style="warning" %}
Exporting similar companies with HubSpot is not supported at this time. If you have a HubSpot enterprise plan which supports custom objects, please contact [support](mailto:support@gradient.works).
{% endhint %}

The accounts.csv file contains a row for each company in the data submitted for Market Map analysis. If Market Map was unable to process a company, it will not be included in the accounts file. This will be the file you use to export to HubSpot.

Follow your normal process for importing company data to Hubspot. When prompted, specify the accounts.csv file from Market Map.

When prompted for field mappings, use the following:

<table><thead><tr><th width="165">Data Field</th><th width="328">Description</th><th>Company Property</th></tr></thead><tbody><tr><td>id</td><td>The HubSpot record id you provided in the export</td><td>Record Id</td></tr><tr><td>score</td><td>The account score (0-100)</td><td>Market Map Score</td></tr><tr><td>score_bin</td><td>The account tier (1-5, with 1 being the best)</td><td>Market Map Tier</td></tr><tr><td>cluster_id</td><td>The numeric id of the cluster the account was assigned to (-1 means no cluster)</td><td>Market Map Cluster Id</td></tr><tr><td>cluster_name</td><td>The name of the cluster the account was assigned to</td><td>Market Map Cluster</td></tr></tbody></table>

You can safely ignore all other fields.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gradient.works/kb/account-research/market-map/crm-import/hubspot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
